The Purchase Taxes And Charges Template object
Attributes
Unique identifier for the object.
ISO 8601 timestamp of when the object was created.
ISO 8601 timestamp of when the object was last updated.
Default: false
Default: false
{
"id": "purchase-taxes-and-charges-template_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"is_default": false,
"disabled": false,
"company": "Example Corp",
"tax_category": "tax_category_example"
} /api/accounts/purchase-taxes-and-charges-template/{id} Retrieve a purchase taxes and charges template
Retrieves the details of an existing purchase taxes and charges template. Supply the unique purchase taxes and charges template ID that was returned from a previous request.
Path parameters
The identifier of the purchase taxes and charges template to retrieve.
Returns
Returns the purchase taxes and charges template object if a valid identifier was provided.
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges-template/purchase-taxes-and-charges-template_abc123 \
-H "Authorization: Bearer sk_test_..." {
"id": "purchase-taxes-and-charges-template_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"is_default": false,
"disabled": false,
"company": "Example Corp",
"tax_category": "tax_category_example"
} /api/accounts/purchase-taxes-and-charges-template List all purchase taxes and charges templates
Returns a list of purchase taxes and charges templates. The results are sorted by creation date, with the most recently created appearing first.
Query parameters
Maximum number of objects to return. Default: 20.
Number of objects to skip for pagination. Default: 0.
Returns
A paginated list of purchase taxes and charges template objects.
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges-template \
-H "Authorization: Bearer sk_test_..." {
"data": [
{
"id": "purchase-taxes-and-charges-template_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"is_default": false,
"disabled": false,
"company": "Example Corp",
"tax_category": "tax_category_example"
}
],
"has_more": false,
"total": 1
} /api/accounts/purchase-taxes-and-charges-template Create a purchase taxes and charges template
Creates a new purchase taxes and charges template object.
Body parameters
Default: false
Default: false
Returns
Returns the newly created purchase taxes and charges template object if the call succeeded.
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges-template \
-H "Authorization: Bearer sk_test_..." \
-X POST \
-H "Content-Type: application/json" \
-d '{"title":"title_example","company":"Example Corp"}' {
"id": "purchase-taxes-and-charges-template_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"is_default": false,
"disabled": false,
"company": "Example Corp",
"tax_category": "tax_category_example"
} /api/accounts/purchase-taxes-and-charges-template/{id} Update a purchase taxes and charges template
Updates the specified purchase taxes and charges template by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path parameters
The identifier of the purchase taxes and charges template to update.
Body parameters
Default: false
Default: false
Returns
Returns the updated purchase taxes and charges template object.
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges-template/purchase-taxes-and-charges-template_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X PATCH \
-H "Content-Type: application/json" \
-d '{"title":"title_example","is_default":false}' {
"id": "purchase-taxes-and-charges-template_abc123",
"created_at": "2024-01-15T09: 30: 00Z",
"updated_at": "2024-01-15T09: 30: 00Z",
"title": "title_example",
"is_default": false,
"disabled": false,
"company": "Example Corp",
"tax_category": "tax_category_example"
} /api/accounts/purchase-taxes-and-charges-template/{id} Delete a purchase taxes and charges template
Permanently deletes a purchase taxes and charges template. This cannot be undone.
Path parameters
The identifier of the purchase taxes and charges template to delete.
Returns
Returns a confirmation that the purchase taxes and charges template has been deleted.
curl https://api.overplane.dev/api/accounts/purchase-taxes-and-charges-template/purchase-taxes-and-charges-template_abc123 \
-H "Authorization: Bearer sk_test_..." \
-X DELETE {
"id": "purchase-taxes-and-charges-template_abc123",
"deleted": true
}